body {
  text-align: center;
  font-family: Arial;
  background: #f5f5f5;
}

h1 {
  margin-top: 20px;
}

#top {
  display: flex;
  justify-content: center;
  gap: 30px;
  font-size: 20px;
}

button {
  padding: 10px 14px;
  margin: 5px;
  border: none;
  background: #333;
  color: white;
  border-radius: 6px;
  cursor: pointer;
}

button:hover {
  background: #555;
}

input {
  padding: 10px;
  width: 250px;
  border-radius: 6px;
  border: 1px solid #ccc;
  margin-top: 10px;
}

#map-container {
  width: 90%;
  margin: 20px auto;
}

.label {
  font-size: 6px;
  fill: black;
  pointer-events: none;
}